# c4mate - command line client for the C4 mukas instance (aka Mate-Pad)

## Requirements

* lua >= 5.3
* curl
* sed
* date

## Usage

If no username is given via the "-u" command line flag, c4mate will use the
value of the $USER environment variable as username.

    Usage: c4mate [-u <user>] [ <query> | -b <id> | -l | +/-<amount> | -g <amount> <user> [<reason>]]
    Display current balance:
        c4mate
    Find and buy item (interactive):
        c4mate <query>
    Buy by item id (non-interactive, special id '0' will re-buy last item in log):
        c4mate -b|--buy <id>
    Show log:
        c4mate -l|--log [<size>]
    Add or subtract credits:
        c4mate <difference>
    Give credits:
        c4mate -g <amount> <user> [<reason>]

## License

CC0

